Make an invite code (admin)
const url = 'https://example.com/api/v1/invites';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"label":"","max_uses":1,"role":"viewer","ttl_hours":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/invites \ --header 'Content-Type: application/json' \ --data '{ "label": "", "max_uses": 1, "role": "viewer", "ttl_hours": 1 }'The code is returned once and is not stored in a form that can be shown again.
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
The new invite and its code, which is not stored and cannot be shown again.
object
An invite code as listed. The code itself is shown once, when it is made.
object
Authorization level of the caller, ordered viewer < reviewer < admin.
Example
{ "invite": { "role": "viewer", "status": "active" }}Unauthorized
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Forbidden
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Unprocessable Content
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.